org.apache.solr.response

## Class SortingResponseWriter

- java.lang.Object
- - org.apache.solr.response.SortingResponseWriter

- All Implemented Interfaces:
    QueryResponseWriter, NamedListInitializedPlugin

      public class SortingResponseWriter
      extends Object
      implements QueryResponseWriter

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `SortingResponseWriter.DoubleAsc`
    `class` | `SortingResponseWriter.DoubleDesc`
    `protected class` | `SortingResponseWriter.FieldWriter`
    `class` | `SortingResponseWriter.FloatAsc`
    `class` | `SortingResponseWriter.FloatDesc`
    `static class` | `SortingResponseWriter.IgnoreException`
    `static interface` | `SortingResponseWriter.IntComp`
    `class` | `SortingResponseWriter.PriorityQueue<T>`
    `static interface` | `SortingResponseWriter.SortValue`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.solr.response.QueryResponseWriter

      `CONTENT_TYPE_TEXT_ASCII, CONTENT_TYPE_TEXT_UTF8, CONTENT_TYPE_XML_UTF8`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortingResponseWriter()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContentType(SolrQueryRequest req, SolrQueryResponse res)` Return the applicable Content Type for a request, this method must be thread safe.
    `protected SortingResponseWriter.FieldWriter[]` | `getFieldWriters(String[] fields, SolrIndexSearcher searcher)`
    `void` | `init(NamedList args)` `init` will be called just once, immediately after creation.
    `protected static void` | `unicodeEscape(Appendable out, int ch)`
    `void` | `write(Writer writer, SolrQueryRequest req, SolrQueryResponse res)` Write a SolrQueryResponse, this method must be thread save.
    `protected void` | `writeDoc(org.apache.solr.response.SortingResponseWriter.SortDoc sortDoc, List<LeafReaderContext> leaves, SortingResponseWriter.FieldWriter[] fieldWriters, FixedBitSet[] sets, Writer out)`
    `protected void` | `writeException(Exception e, Writer out, boolean log)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SortingResponseWriter

          public SortingResponseWriter()

  - ### Method Detail

    - #### init

          public void init(NamedList args)

      Description copied from interface: `QueryResponseWriter`
      `init` will be called just once, immediately after creation.

      The args are user-level initialization parameters that may be specified when declaring a response writer in solrconfig.xml

      Specified by:
        `init` in interface `QueryResponseWriter`
      Specified by:
        `init` in interface `NamedListInitializedPlugin`

    - #### getContentType

          public String getContentType(SolrQueryRequest req,
                                       SolrQueryResponse res)

      Description copied from interface: `QueryResponseWriter`
      Return the applicable Content Type for a request, this method must be thread safe.

      QueryResponseWriter's must implement this method to return a valid HTTP Content-Type header for the request, that will logically correspond with the output produced by the write method.

      Specified by:
        `getContentType` in interface `QueryResponseWriter`
      Returns:
        a Content-Type string, which may not be null.

    - #### write

          public void write(Writer writer,
                            SolrQueryRequest req,
                            SolrQueryResponse res)
                     throws IOException

      Description copied from interface: `QueryResponseWriter`
      Write a SolrQueryResponse, this method must be thread save.

      Information about the request (in particular: formatting options) may be obtained from `req` but the dominant source of information should be `rsp`.

      There are no mandatory actions that write must perform. An empty write implementation would fulfill all interface obligations.

      Specified by:
        `write` in interface `QueryResponseWriter`
      Throws:
        `IOException`

    - #### writeDoc

          protected void writeDoc(org.apache.solr.response.SortingResponseWriter.SortDoc sortDoc,
                                  List<LeafReaderContext> leaves,
                                  SortingResponseWriter.FieldWriter[] fieldWriters,
                                  FixedBitSet[] sets,
                                  Writer out)
                           throws IOException

      Throws:
        `IOException`

    - #### writeException

          protected void writeException(Exception e,
                                        Writer out,
                                        boolean log)
                                 throws IOException

      Throws:
        `IOException`

    - #### getFieldWriters

          protected SortingResponseWriter.FieldWriter[] getFieldWriters(String[] fields,
                                                                        SolrIndexSearcher searcher)
                                                                 throws IOException

      Throws:
        `IOException`

    - #### unicodeEscape

          protected static void unicodeEscape(Appendable out,
                                              int ch)
                                       throws IOException

      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.